RTEMS: _rtems_rfs_inode Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
_rtems_rfs_inode Struct Reference

`#include <rtems-rfs-inode.h>`

## Data Fields
uint16_t | links
uint16_t | mode
uint32_t | owner
uint16_t | flags
uint16_t | block_offset
uint32_t | block_count
rtems_rfs_time | atime
rtems_rfs_time | mtime
rtems_rfs_time | ctime
union {
rtems_rfs_inode_block blocks [RTEMS_RFS_INODE_BLOCKS]
uint8_t name [RTEMS_RFS_INODE_DATA_NAME_SIZE]
} | data
rtems_rfs_inode_block | last_map_block
rtems_rfs_inode_block | last_data_block

## Detailed Description

The inode.

## Field Documentation

## ◆ atime

rtems_rfs_time _rtems_rfs_inode::atime

The access time. The last time the file was read.

## ◆ block_count

uint32_t _rtems_rfs_inode::block_count

Number of blocks held by this file.

## ◆ block_offset

uint16_t _rtems_rfs_inode::block_offset

Amount of data held in the last block data.

## ◆ ctime

rtems_rfs_time _rtems_rfs_inode::ctime

The change time. The last time the inode was written too.

## ◆

union { ... } _rtems_rfs_inode::data

Blocks. These are the block numbers used by the node or table of nodes. The flags indicate the mode the blocks are being held in. In the direct table mode the blocks are entries in this table. In the indirect mode the blocks point to blocks that hold the block numbers. The data can also be a name if it fits. For example a symbolic link.

## ◆ flags

uint16_t _rtems_rfs_inode::flags

Reserved.

## ◆ last_data_block

rtems_rfs_inode_block _rtems_rfs_inode::last_data_block

The last data block. Used as the goal when allocating a new block.

## ◆ last_map_block

rtems_rfs_inode_block _rtems_rfs_inode::last_map_block

The last block map block. Used as the goal when allocating a new block for use in the map.

## ◆ links

uint16_t _rtems_rfs_inode::links

The number of links to the inode.

## ◆ mode

uint16_t _rtems_rfs_inode::mode

The mode of the node.

## ◆ mtime

rtems_rfs_time _rtems_rfs_inode::mtime

The modified time. The last time the file was written too.

## ◆ owner

uint32_t _rtems_rfs_inode::owner

The owner of the node.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rfs/rtems-rfs-inode.h